Infra APIEnvd
List directory
Lists directory contents on a VM with optional recursion
POST
/api/v1/vms/{vm_id}/envd/listLists directory contents on a VM with optional recursion
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Path Parameters
vm_id*string
VM ID
Request Body
application/json
List options
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/vms/string/envd/list" \ -H "Content-Type: application/json" \ -d '{}'{ "entries": [ { "is_dir": true, "name": "string", "path": "string", "size": 0 } ]}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}